=== debian/changelog ===
hackrf (2022.09.1-3) unstable; urgency=medium

  * Fix arch-all build logic (Closes: #1023737)

 -- A. Maitland Bottoms <bottoms@debian.org>  Wed, 09 Nov 2022 17:18:20 -0500

hackrf (2022.09.1-2) unstable; urgency=medium

  * Upload to unstable to allow for transitions

 -- A. Maitland Bottoms <bottoms@debian.org>  Tue, 08 Nov 2022 17:52:00 -0500

hackrf (2022.09.1-1) experimental; urgency=medium

  * New upstream release. (Closes: #1005712)
  * Upload to experimental for new hackrf-doc and hackrf-firmware packages
  * remove obsolete man pages for features now in hackrf_debug
  * update watch file to new project repository

 -- A. Maitland Bottoms <bottoms@debian.org>  Sun, 06 Nov 2022 15:09:15 -0500
