=== debian/rules ===
#!/usr/bin/make -f
DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
export DEB_HOST_MULTIARCH
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --sourcedirectory=host --builddirectory=build

override_dh_auto_configure:
	dh_auto_configure --sourcedirectory=host --builddirectory=build -- -DLIB_SUFFIX=/$(DEB_HOST_MULTIARCH)
	- cp -p build/libhackrf/53-hackrf.rules debian/libhackrf0.udev

override_dh_auto_build-indep: build-arch
	cd docs && make html
	cd docs && make latex
	cd docs && make latexpdf
	cd docs/build/html/_static && rm jquery.js
	cd docs/build/html/_static && ln -s /usr/share/javascript/jquery/jquery.js jquery.js
	cd docs/build/html/_static && rm underscore.js
	cd docs/build/html/_static && ln -s /usr/share/javascript/underscore/underscore.js underscore.js
	cd docs/build/html/_static && rm doctools.js
	cd docs/build/html/_static && ln -s /usr/share/sphinx/themes/basic/static/doctools.js doctools.js
	cd docs/build/html/_static && rm language_data.js
	cd docs/build/html/_static && ln -s /usr/share/sphinx/themes/basic/static/language_data.js_t language_data.js
	cd docs/build/html/_static && rm searchtools.js
	cd docs/build/html/_static && ln -s /usr/share/sphinx/themes/basic/static/searchtools.js searchtools.js
	rm -rf docs/build/html/_static/fonts
	cp -p -r libopencm3/* firmware/libopencm3/
	cd firmware && cmake -DCMAKE_VERBOSE_MAKEFILE=ON -DBOARD=HACKRF_ONE -B build_hackrf
	cd firmware && cmake --build build_hackrf
	cd firmware && cmake -DCMAKE_VERBOSE_MAKEFILE=ON -DBOARD=JAWBREAKER -B build_jawbreaker
	cd firmware && cmake --build build_jawbreaker
	cd firmware && cmake -DCMAKE_VERBOSE_MAKEFILE=ON -DBOARD=RAD1O -B build_rad1o
	cd firmware && cmake --build build_rad1o
	cp -p firmware/build_jawbreaker/hackrf_usb/hackrf_usb.bin firmware/hackrf_jawbreaker_usb.bin
	cp -p firmware/build_hackrf/hackrf_usb/hackrf_usb.bin firmware/hackrf_one_usb.bin
	cp -p firmware/build_rad1o/hackrf_usb/hackrf_usb.bin firmware/hackrf_rad1o_usb.bin
	chmod -x firmware/hackrf_jawbreaker_usb.bin
	chmod -x firmware/hackrf_one_usb.bin
	chmod -x firmware/hackrf_rad1o_usb.bin
	cp -p firmware/build_jawbreaker/hackrf_usb/hackrf_usb.dfu firmware/hackrf_jawbreaker_usb.dfu
	cp -p firmware/build_hackrf/hackrf_usb/hackrf_usb.dfu firmware/hackrf_one_usb.dfu
	cp -p firmware/build_rad1o/hackrf_usb/hackrf_usb.dfu firmware/hackrf_rad1o_usb.dfu

override_dh_installdocs-indep:
	dh_installdocs --indep
