=== debian/changelog ===
hackrf (2023.01.1-9build1) noble; urgency=high

  * No change rebuild against frame pointers and time_t.

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 22 Apr 2024 11:42:50 +0200

hackrf (2023.01.1-9) unstable; urgency=medium

  * remove obsolete libusb-freebsd-hurd patch

 -- A. Maitland Bottoms <bottoms@debian.org>  Fri, 15 Dec 2023 21:06:25 -0500

hackrf (2023.01.1-8) unstable; urgency=medium

  * simplify usb build-depends

 -- A. Maitland Bottoms <bottoms@debian.org>  Fri, 15 Dec 2023 20:06:40 -0500

hackrf (2023.01.1-7) unstable; urgency=medium

  * upload to unstable (Closes: #1057190)

 -- A. Maitland Bottoms <bottoms@debian.org>  Tue, 05 Dec 2023 20:45:21 -0500

hackrf (2023.01.1-6) experimental; urgency=medium

  [ Chris Hofstaedtler ]
  * Move udev files from /lib to /usr/lib, including protective diversion
    against Multi-Arch: same file loss scenario (DEP17 P7 M10).

  [ A. Maitland Bottoms ]
  * update to v2023.01.1-18-gf5dd48a5
    Call fftw_execute once prior to starting IQ streaming
    Add options to use/save to an FFTW wisdom file and specify plan
    Fix bug where using -P would also enable one-shot mode
  * upload to experimental for more /lib to /usr/lib testing

 -- A. Maitland Bottoms <bottoms@debian.org>  Sat, 02 Dec 2023 10:15:20 -0500

hackrf (2023.01.1-5) unstable; urgency=medium

  * revert to 2023.01.1-2 pending correction of udev /lib to /usr/lib handling
  * Handle underscore.js links with new sphinx

 -- A. Maitland Bottoms <bottoms@debian.org>  Fri, 01 Dec 2023 06:31:07 -0500

hackrf (2023.01.1-4) unstable; urgency=medium

  * override_dh_installudev in debian/rules (Closes: #1056927)

 -- A. Maitland Bottoms <bottoms@debian.org>  Thu, 30 Nov 2023 17:19:05 -0500

hackrf (2023.01.1-3) unstable; urgency=medium

  * update to v2023.01.1-18-gf5dd48a5
    Call fftw_execute once prior to starting IQ streaming
    Add options to use/save to an FFTW wisdom file and specify plan
    Fix bug where using -P would also enable one-shot mode
  * Handle underscore.js links with new sphinx (Closes: #1056926)
  * MMove files into /usr (incl. DEP17 P7 mitigation) (Closes: #1056927)

 -- A. Maitland Bottoms <bottoms@debian.org>  Sun, 26 Nov 2023 20:00:39 -0500

hackrf (2023.01.1-2.1) UNRELEASED; urgency=medium

  * Non-maintainer upload.
  * Move udev files from /lib to /usr/lib, including protective diversion
    against Multi-Arch: same file loss scenario (DEP17 P7 M10).

 -- Chris Hofstaedtler <zeha@debian.org>  Sun, 26 Nov 2023 20:37:03 +0100
 

hackrf (2023.01.1-2) unstable; urgency=medium

  * update to v2023.01.1-15-g1fd67f66 (Closes: #1036862)
  * new documentation build (Closes: #1042596)
  * omit firmware build (Closes: #1052857)

 -- A. Maitland Bottoms <bottoms@debian.org>  Sat, 14 Oct 2023 20:26:21 -0400

hackrf (2023.01.1-1) unstable; urgency=medium

  * New upstream release.

 -- A. Maitland Bottoms <bottoms@debian.org>  Thu, 13 Jul 2023 22:33:20 -0400
