=== debian/control ===
--- 
+++ 
@@ -1,25 +1,21 @@
 Source: hackrf
 Section: libs
 Priority: optional
-Maintainer: A. Maitland Bottoms <bottoms@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: A. Maitland Bottoms <bottoms@debian.org>
 Build-Depends: cmake,
                debhelper-compat (= 13),
                libfftw3-dev,
-               libusb-1.0-0-dev [linux-any],
-               libusb-dev [hurd-i386],
-               libusb2-dev [kfreebsd-any],
+               libusb-1.0-0-dev,
                pkg-config
 Build-Depends-Indep: dfu-util,
-		     latexmk,
+                     latexmk,
                      python3-sphinx,
                      python3-sphinx-rtd-theme,
-		     python3-yaml,
+                     python3-yaml,
                      tex-gyre,
-                     texlive-latex-extra,
-		     gcc-arm-none-eabi,
-                     libnewlib-arm-none-eabi,
-                     libstdc++-arm-none-eabi-newlib
-Standards-Version: 4.6.1
+                     texlive-latex-extra
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: http://greatscottgadgets.com/hackrf/
 Vcs-Browser: https://salsa.debian.org/bottoms/pkg-hackrf
@@ -85,21 +81,21 @@
   * hackrf_sweep: control frequency sweep of hackrf
   * hackrf_transfer: file based transmit and receive sdr
 
-Package: hackrf-firmware
-Architecture: all
-Multi-Arch: foreign
-Depends: ${misc:Depends}
-Recommends: hackrf
-Suggests: dfu-util
-Description: Firmware for HackRF devices
- The HackRF hardware needs some firmware to run. The firmware is built with
- arm-none-eabi-gcc. This package contains a number of firmware images that
- may be programmed into the HackRF hardware using the 'hackrf_spiflash -w'
- command or dfu-util.
- .
- The following hardware is supported:
-  * hackrf_jawbreaker
-  * hackrf_one
-  * hackrf_rad1o
- .
- The firmware images are installed in /usr/share/hackrf/firmware/
+#Package: hackrf-firmware
+#Architecture: all
+#Multi-Arch: foreign
+#Depends: ${misc:Depends}
+#Recommends: hackrf
+#Suggests: dfu-util
+#Description: Firmware for HackRF devices
+# The HackRF hardware needs some firmware to run. The firmware is built with
+# arm-none-eabi-gcc. This package contains a number of firmware images that
+# may be programmed into the HackRF hardware using the 'hackrf_spiflash -w'
+# command or dfu-util.
+# .
+# The following hardware is supported:
+#  * hackrf_jawbreaker
+#  * hackrf_one
+#  * hackrf_rad1o
+# .
+# The firmware images are installed in /usr/share/hackrf/firmware/
